export const retrieveData = async (apiKey, domainServer, query) => {
  try 
  {
    let data = await fetch(domainServer, {
      method: 'post',
      body: JSON.stringify({
        searchCriteria: {
          query: query
      }
      }),
      headers: {
      Authorization: 'Bearer ' + apiKey,
      Accept: 'application/json',
      'Content-Type': 'application/json'
      }
    });
    let response = await data.json()
    return response

  } catch (e) {
    return e
  }
}